gc_enable
get_cfg_var
PHP Options/Info Functions
PHP Manual

# gc_enabled

(PHP 5 >= 5.3.0)

gc_enabled — Returns status of the circular reference collector

### Description

bool gc_enabled ( void )

Returns status of the circular reference collector.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the garbage collector is enabled, `FALSE` otherwise.

### Examples

Example #1 A gc_enabled() example

`<?php
if(gc_enabled()) gc_collect_cycles();
?>`

### See Also

- Garbage Collection

gc_enable
get_cfg_var
PHP Options/Info Functions
PHP Manual